// ****************************************************************** 
function client_SetTxEthernetMacAddress(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetMacAddressInput' ) ;
      if ( anElement )
      {
         if (IsValidEthernetAddress(anElement))
         {
            if (IsChangeConfirmed("Ethernet Mac Address"))
            {
               serverTxEthernetIntf.SetTxEthernetMacAddress(anElement.value);
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetJitterTracking()
{
   var anElement = Get_Iframe_Element( 'TxEthernetJitterTrackingSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Ethernet Jitter Tracking"))
      {
         serverTxEthernetIntf.SetTxEthernetJitterTracking(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEthernetModeSelections()
{
   var anElement = Get_Iframe_Element( 'TxEthernetModeSelectionsSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Ethernet Mode Selections"))
      {
         serverTxEthernetIntf.SetTxEthernetModeSelections(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEthernetJitterBuffer(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetJitterBufferInput' ) ;
      if ( anElement )
      {
         if (IsPositiveInteger(anElement))
         {
            if (IsChangeConfirmed("Ethernet Jitter Buffer"))
            {
               serverTxEthernetIntf.SetTxEthernetJitterBuffer(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetOnlineSelect()
{
   var anElement = Get_Iframe_Element( 'TxEthernetOnlineSelectSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Ethernet Online Select"))
      {
         serverTxEthernetIntf.SetTxEthernetOnlineSelect(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEthernetBackupMode()
{
   var anElement = Get_Iframe_Element( 'TxEthernetBackupModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Ethernet Backup Mode"))
      {
         serverTxEthernetIntf.SetTxEthernetBackupMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEthernetBackupDelay(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetBackupDelayInput' ) ;
      if ( anElement )
      {
         if (IsPositiveInteger(anElement))
         {
            if (IsChangeConfirmed("Ethernet Backup Delay"))
            {
               serverTxEthernetIntf.SetTxEthernetBackupDelay(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetPrimeIpAddress(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetPrimeIpAddressInput' ) ;
      if ( anElement )
      {
         if (IsValidIpAddress(anElement))
         {
            if (IsChangeConfirmed("Ethernet Prime IP Address"))
            {
               serverTxEthernetIntf.SetTxEthernetPrimeIpAddress(anElement.value);
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetSourceIpAddress(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetSourceIpAddressInput' ) ;
      if ( anElement )
      {
         if (IsValidIpAddress(anElement))
         {
            if (IsChangeConfirmed("Ethernet Source IP Address"))
            {
               serverTxEthernetIntf.SetTxEthernetSourceIpAddress(anElement.value);
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetPrimeUdpPort(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetPrimeUdpPortInput' ) ;
      if ( anElement )
      {
         if (IsPositiveInteger(anElement))
         {
            if (IsChangeConfirmed("Ethernet Prime UDP Port"))
            {
               serverTxEthernetIntf.SetTxEthernetPrimeUdpPort(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetUnicastIpAddress(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetUnicastIpAddressInput' ) ;
      if ( anElement )
      {
         if (IsValidIpAddress(anElement))
         {
            if (IsChangeConfirmed("Ethernet Unicast IP Address"))
            {
               serverTxEthernetIntf.SetTxEthernetUnicastIpAddress(anElement.value);
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetBackupIpAddress(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetBackupIpAddressInput' ) ;
      if ( anElement )
      {
         if (IsValidIpAddress(anElement))
         {
            if (IsChangeConfirmed("Ethernet Backup IP Address"))
            {
               serverTxEthernetIntf.SetTxEthernetBackupIpAddress(anElement.value);
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetBackupUdpPort(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEthernetBackupUdpPortInput' ) ;
      if ( anElement )
      {
         if (IsPositiveInteger(anElement))
         {
            if (IsChangeConfirmed("Ethernet Backup UDP Port"))
            {
               serverTxEthernetIntf.SetTxEthernetBackupUdpPort(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxEthernetStatusUpdate()
{
   serverTxEthernetIntf.SetTxEthernetSelectContentUpdate();
   serverTxEthernetIntf.SetTxEthernetStatusUpdate();
};

// ****************************************************************** 
// ****************************************************************** 
// ****************************************************************** 
function asyncUpdateTxEthernetMacAddressStatus(aMacAddress)
{
   var anElement = Get_Iframe_Element( 'TxEthernetMacAddressInput' ) ;
   if ( anElement )          // Set Mac Address
      anElement.value = aMacAddress;
}

function asyncUpdateTxEthernetJitterTrackingStatus(aJitterTracking)
{
   var anElement = Get_Iframe_Element( 'TxEthernetJitterTrackingSelect' ) ;
   if ( anElement )         // Set transmit Jitter Tracking
      anElement.value = aJitterTracking;
}

function asyncUpdateTxEthernetModeSelectionsStatus(aModeSelections)
{
   var anElement = Get_Iframe_Element( 'TxEthernetModeSelectionsSelect' ) ;
   if ( anElement )         // Set transmit ModeSelections
      anElement.value = aModeSelections;
}

function asyncUpdateTxEthernetJitterBufferStatus(aJitterBuffer)
{
   var anElement = Get_Iframe_Element( 'TxEthernetJitterBufferInput' ) ;
   if ( anElement )          // Set Jitter Buffer
      anElement.value = aJitterBuffer;
}

function asyncUpdateTxEthernetOnlineSelectStatus(anOnlineSelect)
{
   var anElement = Get_Iframe_Element( 'TxEthernetOnlineSelectSelect' ) ;
   if ( anElement )         // Set transmit Online Select
      anElement.value = anOnlineSelect;
}

function asyncUpdateTxEthernetBackupModeStatus(aBackupMode)
{
   var anElement = Get_Iframe_Element( 'TxEthernetBackupModeSelect' ) ;
   if ( anElement )         // Set transmit Backup Mode
      anElement.value = aBackupMode;
}

function asyncUpdateTxEthernetBackupDelayStatus(aBackupDelay)
{
   var anElement = Get_Iframe_Element( 'TxEthernetBackupDelayInput' ) ;
   if ( anElement )          // Set Backup Delay
      anElement.value = aBackupDelay;
}

function asyncUpdateTxEthernetPrimeIpAddressStatus(aPrimeIpAddress)
{
   var anElement = Get_Iframe_Element( 'TxEthernetPrimeIpAddressInput' ) ;
   if ( anElement )	        // Set Prime IP address
   {
      var addr1 = (aPrimeIpAddress & 0xFF000000) >> 24;
      var addr2 = (aPrimeIpAddress & 0xFF0000) >> 16;
      var addr3 = (aPrimeIpAddress & 0xFF00) >> 8;
      var addr4 = (aPrimeIpAddress & 0xFF);
      addr1 = (addr1 < 0) ? (addr1 + 256) : addr1;
      addr2 = (addr2 < 0) ? (addr2 + 256) : addr2;
      addr3 = (addr3 < 0) ? (addr3 + 256) : addr3;
      addr4 = (addr4 < 0) ? (addr4 + 256) : addr4;
      anElement.value = addr1 + "." + addr2 + "." + addr3 + "." + addr4;
   }
}

function asyncUpdateTxEthernetSourceIpAddressStatus(aSourceIpAddress)
{
   var anElement = Get_Iframe_Element( 'TxEthernetSourceIpAddressInput' ) ;
   if ( anElement )	        // Set Source IP address
   {
      var addr1 = (aSourceIpAddress & 0xFF000000) >> 24;
      var addr2 = (aSourceIpAddress & 0xFF0000) >> 16;
      var addr3 = (aSourceIpAddress & 0xFF00) >> 8;
      var addr4 = (aSourceIpAddress & 0xFF);
      addr1 = (addr1 < 0) ? (addr1 + 256) : addr1;
      addr2 = (addr2 < 0) ? (addr2 + 256) : addr2;
      addr3 = (addr3 < 0) ? (addr3 + 256) : addr3;
      addr4 = (addr4 < 0) ? (addr4 + 256) : addr4;
      anElement.value = addr1 + "." + addr2 + "." + addr3 + "." + addr4;
   }
}

function asyncUpdateTxEthernetPrimeUdpPortStatus(aPrimeUdpPort)
{
   var anElement = Get_Iframe_Element( 'TxEthernetPrimeUdpPortInput' ) ;
   if ( anElement )          // Set Prime UDP Port
      anElement.value = aPrimeUdpPort;
}

function asyncUpdateTxEthernetUnicastIpAddressStatus(aUnicastIpAddress)
{
   var anElement = Get_Iframe_Element( 'TxEthernetUnicastIpAddressInput' ) ;
   if ( anElement )          // Set Unicast IP Address
   {
      var addr1 = (aUnicastIpAddress & 0xFF000000) >> 24;
      var addr2 = (aUnicastIpAddress & 0xFF0000) >> 16;
      var addr3 = (aUnicastIpAddress & 0xFF00) >> 8;
      var addr4 = (aUnicastIpAddress & 0xFF);
      addr1 = (addr1 < 0) ? (addr1 + 256) : addr1;
      addr2 = (addr2 < 0) ? (addr2 + 256) : addr2;
      addr3 = (addr3 < 0) ? (addr3 + 256) : addr3;
      addr4 = (addr4 < 0) ? (addr4 + 256) : addr4;
      anElement.value = addr1 + "." + addr2 + "." + addr3 + "." + addr4;
   }
}

function asyncUpdateTxEthernetBackupIpAddressStatus(aBackupIpAddress)
{
   var anElement = Get_Iframe_Element( 'TxEthernetBackupIpAddressInput' ) ;
   if ( anElement )	        // Set Backup IP address
   {
      var addr1 = (aBackupIpAddress & 0xFF000000) >> 24;
      var addr2 = (aBackupIpAddress & 0xFF0000) >> 16;
      var addr3 = (aBackupIpAddress & 0xFF00) >> 8;
      var addr4 = (aBackupIpAddress & 0xFF);
      addr1 = (addr1 < 0) ? (addr1 + 256) : addr1;
      addr2 = (addr2 < 0) ? (addr2 + 256) : addr2;
      addr3 = (addr3 < 0) ? (addr3 + 256) : addr3;
      addr4 = (addr4 < 0) ? (addr4 + 256) : addr4;
      anElement.value = addr1 + "." + addr2 + "." + addr3 + "." + addr4;
   }
}

function asyncUpdateTxEthernetBackupUdpPortStatus(aBackupUdpPort)
{
   var anElement = Get_Iframe_Element( 'TxEthernetBackupUdpPortInput' ) ;
   if ( anElement )          // Set Backup UDP Port
      anElement.value = aBackupUdpPort;
}

// ****************************************************************** 
function asyncUpdateTxEthernetJitterTrackingSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEthernetJitterTrackingSelect', aSelectContent );
}

function asyncUpdateTxEthernetModeSelectionsSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEthernetModeSelectionsSelect', aSelectContent );
}

function asyncUpdateTxEthernetOnlineSelectSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEthernetOnlineSelectSelect', aSelectContent );
}

function asyncUpdateTxEthernetBackupModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEthernetBackupModeSelect', aSelectContent );
}


