// ****************************************************************** 
function client_SetTxInterfaceMode()
{
   var anElement = Get_Iframe_Element( 'TxInterfaceModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Interface Mode"))
      {
         serverIntfTxSetupIntf.SetTxInterfaceMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
   setTimeout("RefreshIframe();", 250);
};

function client_SetTxRedundancyMode()
{
   var anElement = Get_Iframe_Element( 'TxRedundancyModeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Redundancy Mode"))
      {
         serverIntfTxSetupIntf.SetTxRedundancyMode(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxActiveInput()
{
   var anElement = Get_Iframe_Element( 'TxActiveInputSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Active Input"))
      {
         serverIntfTxSetupIntf.SetTxActiveInput(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxPrimeInput()
{
   var anElement = Get_Iframe_Element( 'TxPrimeInputSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Prime Input"))
      {
         serverIntfTxSetupIntf.SetTxPrimeInput(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxBackupInput()
{
   var anElement = Get_Iframe_Element( 'TxBackupInputSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Backup Input"))
      {
         serverIntfTxSetupIntf.SetTxBackupInput(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxInterfaceType()
{
   var anElement = Get_Iframe_Element( 'TxInterfaceTypeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Interface Type"))
      {
         serverIntfTxSetupIntf.SetTxInterfaceType(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
   setTimeout("RefreshIframe();", 250);
};

function client_SetTxTerrestrialFraming()
{
   var anElement = Get_Iframe_Element( 'TxTerrestrialFramingSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Terrestrial Framing"))
      {
         serverIntfTxSetupIntf.SetTxTerrestrialFraming(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxInClockSource()
{
   var anElement = Get_Iframe_Element( 'TxInClockSourceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx InClock Source"))
      {
         serverIntfTxSetupIntf.SetTxInClockSource(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxInClockPolarity()
{
   var anElement = Get_Iframe_Element( 'TxInClockPolaritySelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx InClock Polarity"))
      {
         serverIntfTxSetupIntf.SetTxInClockPolarity(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxOutClockSource()
{
   var anElement = Get_Iframe_Element( 'TxOutClockSourceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx OutClock Source"))
      {
         serverIntfTxSetupIntf.SetTxOutClockSource(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxOutClockPolarity()
{
   var anElement = Get_Iframe_Element( 'TxOutClockPolaritySelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx OutClock Polarity"))
      {
         serverIntfTxSetupIntf.SetTxOutClockPolarity(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxDataPolarity()
{
   var anElement = Get_Iframe_Element( 'TxDataPolaritySelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Data Polarity"))
      {
         serverIntfTxSetupIntf.SetTxDataPolarity(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxRefFrequencySource()
{
   var anElement = Get_Iframe_Element( 'TxRefFrequencySourceSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx RefFrequency Source"))
      {
         serverIntfTxSetupIntf.SetTxRefFrequencySource(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxExternalReference(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxExternalReferenceInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("External Reference Frequency"))
            {
               var aFrequency = parseInt((parseFloat(anElement.value)) * 1000000, 10);
               serverIntfTxSetupIntf.SetTxExternalReference(aFrequency);
               anElement.value = FormatNumber((aFrequency / 1000000), 6);;
               Focus_Iframe();
            }
         }
      }
   }                          
};

function client_SetTxPcrRestamping()
{
   var anElement = Get_Iframe_Element( 'TxPcrRestampingSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx PCR Restamping"))
      {
         serverIntfTxSetupIntf.SetTxPcrRestamping(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxIntfSetupStatusUpdate()
{
   serverIntfTxSetupIntf.SetTxIntfSetupSelectContentUpdate();
   serverIntfTxSetupIntf.SetTxIntfSetupStatusUpdate();
};

// ****************************************************************** 
// ****************************************************************** 
// ****************************************************************** 
function asyncUpdateTxIntfInterfaceModeStatus(anInterfaceMode)
{
   var anElement = Get_Iframe_Element( 'TxInterfaceModeSelect' ) ;
   if ( anElement )         // Set transmit Interface mode
      anElement.value = anInterfaceMode;
}

function asyncUpdateTxIntfRedundancyModeStatus(aRedundancyMode)
{
   var anElement = Get_Iframe_Element( 'TxRedundancyModeSelect' ) ;
   if ( anElement )         // Set transmit RedundancyMode
      anElement.value = aRedundancyMode;
}

function asyncUpdateTxIntfTerrInterfaceStatus(slot1Interface, slot2Interface, slot3Interface)
{
   slot1InterfaceBoardType = slot1Interface;
   slot2InterfaceBoardType = slot2Interface;
   slot3InterfaceBoardType = slot3Interface;
   var anElement = Get_Iframe_Element( 'TxInterfaceCard1TypeSelect' ) ;
   if ( anElement )         // Set transmit Interface Card1 Type
      anElement.value = slot1Interface;
   anElement = Get_Iframe_Element( 'TxInterfaceCard2TypeSelect' ) ;
   if ( anElement )         // Set transmit Interface Card2 Type
      anElement.value = slot2Interface;
   anElement = Get_Iframe_Element( 'TxInterfaceCard3TypeSelect' ) ;
   if ( anElement )         // Set transmit Interface Card3 Type
      anElement.value = slot3Interface;
}

function asyncUpdateTxIntfActiveInputStatus(anActiveInput)
{
   var anElement = Get_Iframe_Element( 'TxActiveInputSelect' ) ;
   if ( anElement )         // Set transmit ActiveInput
      anElement.value = anActiveInput;
}

function asyncUpdateTxIntfPrimeInputStatus(aPrimeInput)
{
   var anElement = Get_Iframe_Element( 'TxPrimeInputSelect' ) ;
   if ( anElement )         // Set transmit PrimeInput
      anElement.value = aPrimeInput;
}

function asyncUpdateTxIntfBackupInputStatus(aBackupInput)
{
   var anElement = Get_Iframe_Element( 'TxBackupInputSelect' ) ;
   if ( anElement )         // Set transmit BackupInput
      anElement.value = aBackupInput;
}

function asyncUpdateTxIntfInterfaceTypeStatus(anInterfaceType)
{
   var anElement = Get_Iframe_Element( 'TxInterfaceTypeSelect' ) ;
   if ( anElement )         // Set transmit Interface Type
      anElement.value = anInterfaceType;
}

function asyncUpdateTxIntfTerrestrialFramingStatus(aTerrestrialFraming)
{
   var anElement = Get_Iframe_Element( 'TxTerrestrialFramingSelect' ) ;
   if ( anElement )         // Set transmit Terrestrial Framing
      anElement.value = aTerrestrialFraming;
}

function asyncUpdateTxIntfInClockSourceStatus(anInClockSource)
{
   var anElement = Get_Iframe_Element( 'TxInClockSourceSelect' ) ;
   if ( anElement )         // Set transmit InClock Source
      anElement.value = anInClockSource;
}

function asyncUpdateTxIntfInClockPolarityStatus(anInClockPolarity)
{
   var anElement = Get_Iframe_Element( 'TxInClockPolaritySelect' ) ;
   if ( anElement )         // Set transmit InClock Polarity
      anElement.value = anInClockPolarity;
}

function asyncUpdateTxIntfOutClockSourceStatus(anOutClockSource)
{
   var anElement = Get_Iframe_Element( 'TxOutClockSourceSelect' ) ;
   if ( anElement )         // Set transmit OutClock Source
      anElement.value = anOutClockSource;
}

function asyncUpdateTxIntfOutClockPolarityStatus(anOutClockPolarity)
{
   var anElement = Get_Iframe_Element( 'TxOutClockPolaritySelect' ) ;
   if ( anElement )         // Set transmit OutClock Polarity
      anElement.value = anOutClockPolarity;
}

function asyncUpdateTxIntfDataPolarityStatus(aDataPolarity)
{
   var anElement = Get_Iframe_Element( 'TxDataPolaritySelect' ) ;
   if ( anElement )         // Set transmit Data Polarity
      anElement.value = aDataPolarity;
}

function asyncUpdateTxIntfRefFrequencySourceStatus(aRefFrequencySource)
{
   var anElement = Get_Iframe_Element( 'TxRefFrequencySourceSelect' ) ;
   if ( anElement )         // Set transmit RefFrequency Source
      anElement.value = aRefFrequencySource;
}

function asyncUpdateIntfExternalReferenceStatus(anExternalReference)
{
   var anElement = Get_Iframe_Element( 'TxExternalReferenceInput' ) ;
   if ( anElement )          // Set External Reference
      anElement.value = FormatNumber((anExternalReference / 1000000), 6);;
}

function asyncUpdateTxIntfPcrRestampingStatus(aPcrRestamping)
{
   var anElement = Get_Iframe_Element( 'TxPcrRestampingSelect' ) ;
   if ( anElement )         // Set transmit PCR Restamping
   {
      anElement.value = aPcrRestamping;
      if ( bIsPcrRestampingAllowed )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}

// ****************************************************************** 
function asyncUpdateTxIntfInterfaceModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxInterfaceModeSelect', aSelectContent );
}

function asyncUpdateTxIntfRedundancyModeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxRedundancyModeSelect', aSelectContent );
}

function asyncUpdateTxIntfActiveInputSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxActiveInputSelect', aSelectContent );
}

function asyncUpdateTxIntfPrimeInputSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxPrimeInputSelect', aSelectContent );
}

function asyncUpdateTxIntfBackupInputSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxBackupInputSelect', aSelectContent );
}

function asyncUpdateTxIntfInterfaceTypeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxInterfaceTypeSelect', aSelectContent );
}

function asyncUpdateTxIntfTerrestrialFramingSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxTerrestrialFramingSelect', aSelectContent );
}

function asyncUpdateTxIntfInClockSourceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxInClockSourceSelect', aSelectContent );
}

function asyncUpdateTxIntfInClockPolaritySelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxInClockPolaritySelect', aSelectContent );
}

function asyncUpdateTxIntfOutClockSourceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxOutClockSourceSelect', aSelectContent );
}

function asyncUpdateTxIntfOutClockPolaritySelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxOutClockPolaritySelect', aSelectContent );
}

function asyncUpdateTxIntfDataPolaritySelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxDataPolaritySelect', aSelectContent );
}

function asyncUpdateTxIntfRefFrequencySourceSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxRefFrequencySourceSelect', aSelectContent );
}

function asyncUpdateTxIntfPcrRestampingSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxPcrRestampingSelect', aSelectContent );
}


