// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

// ********************************************************************************
function validateAppForm(form)
{      
   return(true);
};

// ************************************************************************************
// Name   : client_SetAppSiteStatusUpdate()
// Purpose: Called when the current page loads
// Inputs : NONE
// Outputs: NONE
function client_SetAppSiteStatusUpdate()
{
   Initialize_SetAppSite();
   client_SetAppStatusUpdate();
};

// ************************************************************************************
// Name   : client_SetAppStatusUpdate()
// Purpose: Called when the current page loads
// Inputs : NONE
// Outputs: NONE
function client_SetAppStatusUpdate()
{
   serverSetAppIntf.SetAppSelectContentUpdate();
   serverSetAppIntf.SetAppStatusUpdate();
};

// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************

function asyncUpdateSetAppSnmpVersionStatus(anSnmpVersion)
{
   var anElement = document.getElementById( 'snmpVersionSelect' );
   if ( anElement )	        // Set SNMP version
      anElement.value = anSnmpVersion;
}

function asyncUpdateSetAppSnmpTrapVersionStatus(aTrapVersion)
{
   var anElement = document.getElementById( 'snmpTrapVersionSelect' );
   if ( anElement )	        // Set SNMP trap version
      anElement.value = aTrapVersion;
}

function asyncUpdateSetAppSnmpAuthorizationStatus(anAuthorization)
{
   var anElement = document.getElementById( 'snmpAuthorizationSelect' );
   if ( anElement )	        // Set SNMP authorization
      anElement.value = anAuthorization;
}

function asyncUpdateSetAppSnmpReadCommunityStatus(aCommunity)
{
   var anElement = document.getElementById( 'snmpReadCommunityInput' );
   if ( anElement )	        // Set SNMP read community
      anElement.value = aCommunity;
}

function asyncUpdateSetAppSnmpReadWriteCommunityStatus(aCommunity)
{
   var anElement = document.getElementById( 'snmpReadWriteCommunityInput' );
   if ( anElement )	        // Set SNMP read/write community
      anElement.value = aCommunity;
}

function asyncUpdateSetAppFtpUserIdStatus(aUserId)
{
   var anElement = document.getElementById( 'ftpUserIdInput' );
   if ( anElement )	        // Set FTP user ID
      anElement.value = aUserId;
}

function asyncUpdateSetAppFtpPasswordStatus(aPassword)
{
   var anElement = document.getElementById( 'ftpPasswordInput' );
   if ( anElement )	        // Set FTP password
      anElement.value = aPassword;
}

// ****************************************************************** 
// * Functions to update the select content.
// ******************************************************************

function asyncUpdateSetAppSnmpVersionSelectContent(aSelectContent)
{
   var anElement = document.getElementById('snmpVersionSelect');
   if ( anElement )
      Update_Element_Select_Content( anElement, aSelectContent );
}

function asyncUpdateSetAppSnmpTrapVersionSelectContent(aSelectContent)
{
   var anElement = document.getElementById('snmpTrapVersionSelect');
   if ( anElement )
      Update_Element_Select_Content( anElement, aSelectContent );
}

function asyncUpdateSetAppSnmpAuthorizationSelectContent(aSelectContent)
{
   var anElement = document.getElementById('snmpAuthorizationSelect');
   if ( anElement )
      Update_Element_Select_Content( anElement, aSelectContent );
}


