// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

function client_SetCarrierType()
{
   var anElement = Get_Iframe_Element( 'CarrierTypeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Carrier Type"))
      {
         serverTestCarIntf.SetCarrierType(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxTestPattern()
{
   var anElement = Get_Iframe_Element( 'TxTestPatternSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Test Pattern"))
      {
         serverTestCarIntf.SetTxTestPattern(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxInnerFecTest()
{
   var anElement = Get_Iframe_Element( 'TxInnerFecTestSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Inner FEC Test"))
      {
         serverTestCarIntf.SetTxInnerFecTest(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxOuterFecTest()
{
   var anElement = Get_Iframe_Element( 'TxOuterFecTestSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Outer FEC Test"))
      {
         serverTestCarIntf.SetTxOuterFecTest(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxInterleaverTest()
{
   var anElement = Get_Iframe_Element( 'TxInterleaverTestSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Interleaver Test"))
      {
         serverTestCarIntf.SetTxInterleaverTest(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxBbScramblerTest()
{
   var anElement = Get_Iframe_Element( 'TxBbScramblerTestSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx BB Scrambler Test"))
      {
         serverTestCarIntf.SetTxBbScramblerTest(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxPlScramblerTest()
{
   var anElement = Get_Iframe_Element( 'TxPlScramblerTestSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx PL Scrambler Test"))
      {
         serverTestCarIntf.SetTxPlScramblerTest(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetRestartTestPattern( )
{
  serverTestCarIntf.SetRestartTestPattern( );
}

// ************************************************************************************
// Name   : client_SetTestCarStatusUpdate()
// Purpose: Called when the current iFrame loads
// Inputs : NONE
// Outputs: NONE
function client_SetTestCarStatusUpdate()
{
   serverTestCarIntf.SetTestCarSelectContentUpdate();
   serverTestCarIntf.SetTestCarStatusUpdate();
};


// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************

function asyncUpdateTestCarrierTypeStatus(aCarrierType)
{
   var anElement = Get_Iframe_Element( 'CarrierTypeSelect' ) ;
   if ( anElement )	           // Set carrier type 
      anElement.value = aCarrierType;
}

function asyncUpdateTxTestPatternStatus(aTxTestPattern)
{
   var anElement = Get_Iframe_Element( 'TxTestPatternSelect' ) ;
   if ( anElement )	       // Set transmit test pattern
      anElement.value = aTxTestPattern;
}

function asyncUpdateTxInnerFecTestStatus(aTxInnerFecTest)
{
   var anElement = Get_Iframe_Element( 'TxInnerFecTestSelect' ) ;
   if ( anElement )	       // Set Inner Fec Test pattern
      anElement.value = aTxInnerFecTest;
}

function asyncUpdateTxOuterFecTestStatus(aTxOuterFecTest)
{
   var anElement = Get_Iframe_Element( 'TxOuterFecTestSelect' ) ;
   if ( anElement )	       // Set Outer Fec Test pattern
      anElement.value = aTxOuterFecTest;
}

function asyncUpdateTxInterleaverTestStatus(aTxInterleaverTest)
{
   var anElement = Get_Iframe_Element( 'TxInterleaverTestSelect' ) ;
   if ( anElement )	       // Set Interleaver Test pattern
      anElement.value = aTxInterleaverTest;
}

function asyncUpdateTxBbScramblerTestStatus(aTxBbScramblerTest)
{
   var anElement = Get_Iframe_Element( 'TxBbScramblerTestSelect' ) ;
   if ( anElement )	       // Set BbScrambler Test pattern
      anElement.value = aTxBbScramblerTest;
}

function asyncUpdateTxPlScramblerTestStatus(aTxPlScramblerTest)
{
   var anElement = Get_Iframe_Element( 'TxPlScramblerTestSelect' ) ;
   if ( anElement )	       // Set PL Scrambler Test pattern
      anElement.value = aTxPlScramblerTest;
}

// ****************************************************************** 
// * Functions to update the select content.
// ******************************************************************

function asyncUpdateTestCarrierTypeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'CarrierTypeSelect', aSelectContent );
}

function asyncUpdateTxTestPatternSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxTestPatternSelect', aSelectContent );
}

function asyncUpdateTxInnerFecTestSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxInnerFecTestSelect', aSelectContent );
}

function asyncUpdateTxOuterFecTestSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxOuterFecTestSelect', aSelectContent );
}

function asyncUpdateTxInterleaverTestSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxInterleaverTestSelect', aSelectContent );
}

function asyncUpdateTxBbScramblerTestSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxBbScramblerTestSelect', aSelectContent );
}

function asyncUpdateTxPlScramblerTestSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxPlScramblerTestSelect', aSelectContent );
}

