// ****************************************************************** 
function client_SetTxEqualizerControl()
{
   var anElement = Get_Iframe_Element( 'TxEqualizerControlSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Equalizer Control"))
      {
         serverXmitEqIntf.SetTxEqualizerControl(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEqualizerSelect()
{
   var anElement = Get_Iframe_Element( 'FilterNameInput' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Equalizer Select"))
      {
         serverXmitEqIntf.SetTxEqualizerSelect(anElement.value);
         Focus_Iframe();
      }
   }
};

function client_SetTxEqualizerDelete()
{
   var anElement = Get_Iframe_Element( 'FilterNameInput' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Equalizer Delete"))
      {
         serverXmitEqIntf.SetTxEqualizerDelete(anElement.value);
         Focus_Iframe();
      }
   }
};                                                                     

function client_SetTxEqualizerSave()
{
   var anElement = Get_Iframe_Element( 'FilterRenameInput' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Equalizer Save"))
      {
         serverXmitEqIntf.SetTxEqualizerSave(anElement.value);
         Focus_Iframe();
      }
   }
};

function client_SetTxEqualizerResync()
{
   serverXmitEqIntf.SetTxEqualizerResync( );
};                                                                     

function client_SetTxEqualizerReceiver()
{
   var anElement = Get_Iframe_Element( 'TxEqualizerReceiverSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Equalizer Receiver"))
      {
         serverXmitEqIntf.SetTxEqualizerReceiver(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEqualizerCalibration()
{
   var anElement = Get_Iframe_Element( 'TxEqualizerCalibrationSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Equalizer Calibration"))
      {
         serverXmitEqIntf.SetTxEqualizerCalibration(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxEqualizerRxFrequency(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxEqualizerRxFrequencyInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx Equalizer Rx Frequency"))
            {
               var aFrequency = parseInt((parseFloat(anElement.value)) * 1000000);
               serverXmitEqIntf.SetTxEqualizerRxFrequency(aFrequency);
               anElement.value = FormatNumber((aFrequency / 1000000), 6);;
               Focus_Iframe();
            }
         }
      }                           
   }
};



// ****************************************************************** 
function client_SetTxEqStatusUpdate()
{
   serverXmitEqIntf.SetTxEqSelectContentUpdate();
   serverXmitEqIntf.SetTxEqStatusUpdate();
};

// ****************************************************************** 
function asyncUpdateXmitEqualizerControlStatus(aEqualizerControl)
{
   var anElement = Get_Iframe_Element( 'TxEqualizerControlSelect' ) ;
   if ( anElement )		      // Set transmit Equalizer Control
   {
      anElement.value = aEqualizerControl;
      if ( bFeatureAutoEqInstalled )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}
                          
function asyncUpdateXmitEqualizerFilterNameStatus(aFilterName)
{
   var anElement = Get_Iframe_Element( 'FilterNameInput' ) ;
   if ( anElement )		      // Set filter name
   {
      anElement.value = aFilterName;
      if ( bFeatureAutoEqInstalled )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}

function asyncUpdateXmitEqualizerFilterRenameStatus(aFilterName)
{
   var anElement = Get_Iframe_Element( 'FilterRenameInput' ) ;
   if ( anElement )		      // Set filter name
   {
      anElement.value = aFilterName;
      if ( bFeatureAutoEqInstalled )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}

function asyncUpdateXmitEqualizerReceiverStatus(aEqualizerReceiver)
{
   var anElement = Get_Iframe_Element( 'TxEqualizerReceiverSelect' ) ;
   if ( anElement )		      // Set transmit Equalizer Receiver
   {
      anElement.value = aEqualizerReceiver;
      if ( bFeatureAutoEqInstalled )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}       
                          
function asyncUpdateXmitEqualizerCalibrationStatus(aEqualizerCalibration)
{
   var anElement = Get_Iframe_Element( 'TxEqualizerCalibrationSelect' ) ;
   if ( anElement )		      // Set transmit Equalizer Calibration
   {  
      anElement.value = aEqualizerCalibration;
      if ( bFeatureAutoEqInstalled )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}       

function asyncUpdateXmitEqualizerRxFrequencyStatus(aFrequency)
{
   var anElement = Get_Iframe_Element( 'TxEqualizerRxFrequencyInput' ) ;
   if ( anElement )	      // Set transmit Equalizer Rx frequency
   {
      anElement.value = FormatNumber((aFrequency / 1000000), 6);
      if ( bFeatureAutoEqInstalled )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}

function asyncUpdateXmitEqualizerMseStatus(anMse)
{
   var anElement = Get_Iframe_Element( 'TxEqualizerMseInput' ) ;
   if ( anElement )	      // Set transmit Equalizer MSE
   {
      anElement.value = anMse;
      if ( bFeatureAutoEqInstalled )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}

// ****************************************************************** 
function asyncUpdateXmitEqualizerControlSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEqualizerControlSelect', aSelectContent );
}

function asyncUpdateXmitEqualizerSelectListSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'EqualizerListSelect', aSelectContent );
}

function asyncUpdateXmitEqualizerReceiverSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEqualizerReceiverSelect', aSelectContent );
}

function asyncUpdateXmitEqualizerCalibrationSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxEqualizerCalibrationSelect', aSelectContent );
}

