// ****************************************************************** 
function client_SetCarrIdEnable(anEvent)
{
   var anElement = Get_Iframe_Element( 'CarrIdEnableSelect' ) ;
   if ( anElement )
   {
      if (IsNumber(anElement))
      {
         serverCarrIdIntf.SetCarrIdEnable(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetCarrIdLatitude(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'CarrIdLatitudeInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            var aPower = parseFloat(anElement.value);
            anElement.value = FormatNumber(aPower, 2);
            aPower += 0.000001;
            serverCarrIdIntf.SetCarrIdLatitude(aPower);
            Focus_Iframe();
         }
      }
   }
};

function client_SetCarrIdLongitude(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'CarrIdLongitudeInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            var aPower = parseFloat(anElement.value);
            anElement.value = FormatNumber(aPower, 2);
            aPower += 0.000001;
            serverCarrIdIntf.SetCarrIdLongitude(aPower);
            Focus_Iframe();
         }
      }
   }
};

function client_SetCarrIdTelephone(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'CarrIdTelephoneInput' ) ;
      if ( anElement )
      {
         if (IsPhone(anElement))
         {
            var str = anElement.value;
            if (str.length > 18)
            {
               alert("Entry has too many characters.");
            }
            else
            {
               serverCarrIdIntf.SetCarrIdTelephone(anElement.value);
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetCarrIdUserData(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'CarrIdUserDataInput' ) ;
      if ( anElement )
      {
         var str = anElement.value;
         if (str.length > 24)
         {
            alert("Entry has too many characters.");
         }
         else
         {
            serverCarrIdIntf.SetCarrIdUserData(anElement.value);
            Focus_Iframe();
         }
      }
   }
};

function client_SetCarrIdTest(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'CarrIdTestInput' ) ;
      if ( anElement )
      {
         if (IsPositiveInteger(anElement))
         {
            serverCarrIdIntf.SetCarrIdTest(parseInt(anElement.value, 10));
            Focus_Iframe();
         }
      }
   }
};

function client_SetCarrIdStatusUpdate()
{
   serverCarrIdIntf.SetCarrIdStatusUpdate();
};

// ****************************************************************** 
function asyncUpdateCarrIdEnableStatus(aEnable)
{
   var anElement = Get_Iframe_Element( 'CarrIdEnableSelect' ) ;
   if ( anElement )
      anElement.value = aEnable;
}

function asyncUpdateCarrIdLatitudeStatus(aLatitude)
{
   var anElement = Get_Iframe_Element( 'CarrIdLatitudeInput' ) ;
   if ( anElement )
      anElement.value = FormatNumber(aLatitude, 2);
}

function asyncUpdateCarrIdLongitudeStatus(aLongitude)
{
   var anElement = Get_Iframe_Element( 'CarrIdLongitudeInput' ) ;
   if ( anElement )
      anElement.value = FormatNumber(aLongitude, 2);
}

function asyncUpdateCarrIdTelephoneStatus(aTelephone)
{
   var anElement = Get_Iframe_Element( 'CarrIdTelephoneInput' ) ;
   if ( anElement )
      anElement.value = aTelephone;
}

function asyncUpdateCarrIdUserDataStatus(aUserData)
{
   var anElement = Get_Iframe_Element( 'CarrIdUserDataInput' ) ;
   if ( anElement )
      anElement.value = aUserData;
}

function asyncUpdateCarrIdTestStatus(aTest)
{
   var anElement = Get_Iframe_Element( 'CarrIdTestInput' ) ;
   if ( anElement )
      anElement.value = aTest;
}

function asyncUpdateCarrIdEnableSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'CarrIdEnableSelect', aSelectContent );
}

