// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

// ************************************************************************************
// Purpose: Called when the current iFrame loads
function client_SetSysConfStatusUpdate()
{
   serverSysConfIntf.SetSysConfStatusUpdate();
};


// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************
function asyncUpdateSysFirmwareRevisionStatus(aFirmwareRevision)
{
   var anElement = Get_Iframe_Element( 'FirmwareRevisionInput' ) ;
   if( anElement )
      anElement.value = aFirmwareRevision;
}

function asyncUpdateSysMcRevisionStatus(aMcRevision)
{
   var anElement = Get_Iframe_Element( 'McRevisionInput' ) ;
   if( anElement )
      anElement.value = aMcRevision;
}

function asyncUpdateSysMainBoardSerialNumberStatus(aMainBoardSerialNumber)
{
   var anElement = Get_Iframe_Element( 'MainBoardSerialNumberInput' ) ;
   if( anElement )
      anElement.value = aMainBoardSerialNumber;
}

function asyncUpdateSysMainBoardPcNumberStatus(aMainBoardPcNumber)
{
   var anElement = Get_Iframe_Element( 'MainBoardPcNumberInput' ) ;
   if( anElement )
      anElement.value = aMainBoardPcNumber;
}

function asyncUpdateSysMainBoardAssemblyNumberStatus(aMainBoardAssemblyNumber)
{
   var anElement = Get_Iframe_Element( 'MainBoardAssemblyNumberInput' ) ;
   if( anElement )
      anElement.value = aMainBoardAssemblyNumber;
}

