// ****************************************************************** 
function client_SetTerminalEmulationType()
{
   var anElement = Get_Iframe_Element( 'TerminalEmulationTypeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Terminal Emulation Type"))
      {
         serverSysTermIntf.SetTerminalEmulationType(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTerminalBaudRate()
{
   var anElement = Get_Iframe_Element( 'TerminalBaudRateSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Terminal Baud Rate"))
      {
         serverSysTermIntf.SetTerminalBaudRate(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

/////
function client_SetRemoteMultidropAddress(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'MultidropAddressInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Remote Multidrop Address"))
            {
               serverSysTermIntf.SetRemoteMultidropAddress(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetRemoteBaudRate()
{
   var anElement = Get_Iframe_Element( 'RemoteBaudRateSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Remote Baud Rate"))
      {
         serverSysTermIntf.SetRemoteBaudRate(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};


function client_SetSysTermStatusUpdate()
{
   serverSysTermIntf.SetSysTermSelectContentUpdate();
   serverSysTermIntf.SetSysTermStatusUpdate();
};

// ****************************************************************** 
function asyncUpdateSysTermEmulationTypeStatus(aTerminalEmulationType)
{
   var anElement = Get_Iframe_Element( 'TerminalEmulationTypeSelect' ) ;
   if ( anElement )	      // Set terminal emulation type
      anElement.value = aTerminalEmulationType;
}

function asyncUpdateSysTermBaudRateStatus(aTerminalBaudRate)
{
   var anElement = Get_Iframe_Element( 'TerminalBaudRateSelect' ) ;
   if ( anElement )	        // Set terminal baud rate
      anElement.value = aTerminalBaudRate;
}
/////
function asyncUpdateSysRemMultidropAddressStatus(aRemoteMultidropAddress)
{
   var anElement = Get_Iframe_Element( 'MultidropAddressInput' ) ;
   if ( anElement )	      // Set remote multidrop address
      anElement.value = aRemoteMultidropAddress;
}

function asyncUpdateSysRemBaudRateStatus(aRemoteBaudRate)
{
   var anElement = Get_Iframe_Element( 'RemoteBaudRateSelect' ) ;
   if ( anElement )	                // Set remote baud rate
      anElement.value = aRemoteBaudRate;
}

// ****************************************************************** 
function asyncUpdateSysTermEmulationTypeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TerminalEmulationTypeSelect', aSelectContent );
}

function asyncUpdateSysTermBaudRateSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TerminalBaudRateSelect', aSelectContent );
}
/////
function asyncUpdateSysRemBaudRateSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'RemoteBaudRateSelect', aSelectContent );
}
