// ****************************************************************** 
function client_SetTxNetworkSpecification()
{
   var anElement = Get_Iframe_Element( 'TxNetworkSpecificationSelect' ) ;
   if ( anElement )
   {
      if (IsBandwidthChangeConfirmed("Tx Network Specification"))
      {
         serverXmitIfIntf.SetTxNetworkSpecification(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
   setTimeout("RefreshIframe();", 250);
};

function client_SetTxFrequency(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxFrequencyInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsBandwidthChangeConfirmed("Tx Frequency"))
            {
               var aFrequency = parseInt((parseFloat(anElement.value)) * 1000000);
               serverXmitIfIntf.SetTxFrequency(aFrequency);
               anElement.value = FormatNumber((aFrequency / 1000000), 6);;
               Focus_Iframe();
            }
         }
      }                           
   }
};

function client_SetTxPower(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxPowerInput' ) ;
      if ( anElement )
	   {
         if (IsNumber(anElement))
         {
            if (IsChangeConfirmed("Tx Power"))
            {
               var aPower = parseFloat(anElement.value);
               anElement.value = FormatNumber(aPower, 1);
               aPower += 0.001;
               serverXmitIfIntf.SetTxPower(aPower);
               Focus_Iframe();
            }
         }
      }
   }
};

function client_SetTxSpectrum()
{
   var anElement = Get_Iframe_Element( 'TxSpectrumSelect' ) ;
   if ( anElement )
   {   
      if (IsChangeConfirmed("Tx Spectrum"))
      {
         serverXmitIfIntf.SetTxSpectrum(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxCarrierControl()
{
   var anElement = Get_Iframe_Element( 'TxCarrierControlSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Carrier Control"))
      {
         serverXmitIfIntf.SetTxCarrierControl(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxSatFraming()
{
   var anElement = Get_Iframe_Element( 'TxSatFramingSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Satellite Framing"))
      {
         serverXmitIfIntf.SetTxSatFraming(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxPilotSymbols()
{
   var anElement = Get_Iframe_Element( 'TxPilotSymbolsSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Pilot Symbols"))
      {
         serverXmitIfIntf.SetTxPilotSymbols(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxRollOff(anEvent)
{
   var anElement = Get_Iframe_Element( 'TxRollOffSelect' ) ;
   if ( anElement )
   {   
      if (IsChangeConfirmed("Tx RollOff"))
      {
         serverXmitIfIntf.SetTxRollOff(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
}

function client_SetTxLastRateControl()
{
   var anElement = Get_Iframe_Element( 'TxLastRateControlSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Tx Last Rate Control"))
      {
         serverXmitIfIntf.SetTxLastRateControl(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxDataRate(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxDataRateInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsBandwidthChangeConfirmed("Tx Data Rate"))
            {
               serverXmitIfIntf.SetTxDataRate(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }                           
   }
};

function client_SetTxSymbolRate(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxSymbolRateInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsBandwidthChangeConfirmed("Tx Symbol Rate"))
            {
               serverXmitIfIntf.SetTxSymbolRate(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }                           
   }
};

function client_SetTxModulation()
{
   var anElement = Get_Iframe_Element( 'TxModulationSelect' ) ;
   if ( anElement )
   {
      if (IsBandwidthChangeConfirmed("Tx Modulation"))
      {
         serverXmitIfIntf.SetTxModulation(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxInnerFec()
{
   var anElement = Get_Iframe_Element( 'TxInnerFecSelect' ) ;
   if ( anElement )
   {
      if (IsBandwidthChangeConfirmed("Tx Inner FEC"))
      {
         serverXmitIfIntf.SetTxInnerFec(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

function client_SetTxPlHeaderScrmSeq(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxPlHeaderScrmSeqInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsBandwidthChangeConfirmed("Tx Pl Header Scrm Seq"))
            {
               serverXmitIfIntf.SetTxPlHeaderScrmSeq(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }                           
   }
};

function client_SetTxGoldSeqN(anEvent)
{
   anEvent = (anEvent) ? anEvent : event;
   var charCode = (anEvent.charCode) ? anEvent.charCode : 
                  ((anEvent.which) ? anEvent.which : anEvent.keyCode);
   if (charCode == 13 || charCode == 3)
   {
      var anElement = Get_Iframe_Element( 'TxGoldSeqNInput' ) ;
      if ( anElement )
      {
         if (IsNumber(anElement))
         {
            if (IsBandwidthChangeConfirmed("Tx Gold Sequence N"))
            {
               serverXmitIfIntf.SetTxGoldSeqN(parseInt(anElement.value, 10));
               Focus_Iframe();
            }
         }
      }                           
   }
};

// ****************************************************************** 
function client_SetTxIfStatusUpdate()
{
   serverXmitIfIntf.SetTxIfSelectContentUpdate();
   serverXmitIfIntf.SetTxIfStatusUpdate();
};

// ****************************************************************** 
function asyncUpdateXmitNetworkSpecificationStatus(aNetworkSpecification)
{
   var anElement = Get_Iframe_Element( 'TxNetworkSpecificationSelect' ) ;
   if ( anElement )		      // Set transmit Network Specification
      anElement.value = aNetworkSpecification;
}
                          
function asyncUpdateXmitFrequencyStatus(aFrequency)
{
   var anElement = Get_Iframe_Element( 'TxFrequencyInput' ) ;
   if ( anElement )	      // Set transmit frequency
      anElement.value = FormatNumber((aFrequency / 1000000), 6);;
}

function asyncUpdateXmitPowerStatus(aPower)
{
   var anElement = Get_Iframe_Element( 'TxPowerInput' ) ;
   if ( anElement )	
      anElement.value = FormatNumber(aPower, 1);
}

function asyncUpdateXmitSpectrumStatus(aSpectrum)
{
   var anElement = Get_Iframe_Element( 'TxSpectrumSelect' ) ;
   if ( anElement )	              // Set transmit spectrum
      anElement.value = aSpectrum;
}

function asyncUpdateXmitCarrierStatus(aCarrier)
{
   var anElement = Get_Iframe_Element( 'TxCarrierControlSelect' ) ;
   if ( anElement )	        // Set transmit carrier control
      anElement.value = aCarrier;
}

function asyncUpdateXmitSatFramingStatus(aSatFraming)
{
   var anElement = Get_Iframe_Element( 'TxSatFramingSelect' ) ;
   if ( anElement )	        // Set transmit Satellite Framing
   {
      anElement.value = aSatFraming;
      if ( bIsCcmNetworkSpecActive )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}

function asyncUpdateXmitPilotSymbolsStatus(aPilotSymbols)
{
   var anElement = Get_Iframe_Element( 'TxPilotSymbolsSelect' ) ;
   if ( anElement )	        // Set transmit Pilot Symbols
   {  
      anElement.value = aPilotSymbols;
      if ( bIsCcmNetworkSpecActive )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}

function asyncUpdateXmitRollOffStatus(aRollOff)
{
   var anElement = Get_Iframe_Element( 'TxRollOffSelect' ) ;
   if ( anElement )	
      anElement.value = aRollOff;
}

function asyncUpdateXmitLastRateControlStatus(aLastRateControl)
{
   var anElement = Get_Iframe_Element( 'TxLastRateControlSelect' ) ;
   if ( anElement )		      // Set transmit Last Rate Control
      anElement.value = aLastRateControl;
}
function asyncUpdateXmitDataRateStatus(aDataRate)
{
   var anElement = Get_Iframe_Element( 'TxDataRateInput' ) ;
   if ( anElement )
   {
      anElement.value = aDataRate;
      if ( bIsAcmNetworkSpecActive )
         anElement.disabled = true;
      else
         anElement.disabled = false;
   }
}

function asyncUpdateXmitSymbolRateStatus(aSymbolRate)
{
   var anElement = Get_Iframe_Element( 'TxSymbolRateInput' ) ;
   if ( anElement )
      anElement.value = aSymbolRate;
}

function asyncUpdateXmitModulationStatus(aModulation)
{
   var anElement = Get_Iframe_Element( 'TxModulationSelect' ) ;
   if ( anElement )	             // Set transmit modulation
   {
      anElement.value = aModulation;
      if ( bIsAcmNetworkSpecActive )
         anElement.disabled = true;
      else
         anElement.disabled = false;
   }
}

function asyncUpdateXmitInnerFecStatus(anInnerFec)
{
   var anElement = Get_Iframe_Element( 'TxInnerFecSelect' ) ;
   if ( anElement )
   {
      anElement.value = anInnerFec;
      if ( bIsAcmNetworkSpecActive )
         anElement.disabled = true;
      else
         anElement.disabled = false;
   }
}

function asyncUpdateXmitPlHeaderScrmSeqStatus(aPlHeaderScrmSeq)
{
   var anElement = Get_Iframe_Element( 'TxPlHeaderScrmSeqInput' ) ;
   if ( anElement )
   {
      anElement.value = aPlHeaderScrmSeq;
      if ( bIsDtvAmcNetworkSpecActive )
         anElement.style.display = "block";
      else
         anElement.style.display = "none";
      var anElement = Get_Iframe_Element( 'TxPlHeaderScrmSeqLabel' ) ;
      if ( anElement )
      {
         if ( bIsDtvAmcNetworkSpecActive )
            anElement.style.display = "block";
         else
            anElement.style.display = "none";
      }
   }
}

function asyncUpdateXmitGoldSeqNStatus(aGoldSeqN)
{
   var anElement = Get_Iframe_Element( 'TxGoldSeqNInput' ) ;
   if ( anElement )
   {
      anElement.value = aGoldSeqN;
      if ( bIsDvbS2DtvAmcNetworkSpecActive )
         anElement.disabled = false;
      else
         anElement.disabled = true;
   }
}

// ****************************************************************** 
function asyncUpdateXmitNetworkSpecificationSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxNetworkSpecificationSelect', aSelectContent );
}

function asyncUpdateXmitCarrierSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxCarrierControlSelect', aSelectContent );
}

function asyncUpdateXmitSatFramingSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxSatFramingSelect', aSelectContent );
}

function asyncUpdateXmitPilotSymbolsSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxPilotSymbolsSelect', aSelectContent );
}

function asyncUpdateXmitSpectrumSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxSpectrumSelect', aSelectContent );
}

function asyncUpdateXmitRollOffSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxRollOffSelect', aSelectContent );
}

function asyncUpdateXmitLastRateControlSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxLastRateControlSelect', aSelectContent );
}

function asyncUpdateXmitModulationSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxModulationSelect', aSelectContent );
}

function asyncUpdateXmitInnerFecSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'TxInnerFecSelect', aSelectContent );
}

